Package com.ads.api.beans.rsm

# Class Role

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.rsm.Role

public class Role extends Node

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Role.RoleType`

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Role()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns AuditHistory object of the Role.
  `String`
  `getBusinessName()`
  Returns the businessName of the Role.
  `String`
  `getDescription()`
  Returns the description of the Role.
  `String`
  `getId()`
  Returns the id of the Role.
  `String`
  `getName()`
  Returns the name of the Role.
  `List<Permission>`
  `getPermissions()`
  Returns the list of Permission objects of the Role.
  `Role.RoleType`
  `getType()`
  Returns the type of the Role.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the AuditHistory object to the Role object as specified.
  `void`
  `setBusinessName(String businessName)`
  Method sets the businessName to the Role.
  `void`
  `setDescription(String description)`
  Method sets the description to the Role.
  `void`
  `setId(String id)`
  Method sets the id to the Role.
  `void`
  `setName(String name)`
  Method sets the name to the Role.
  `void`
  `setPermissions(List<Permission> permissions)`
  Method sets the list of permission objects to the Role object as specified.
  `void`
  `setType(Role.RoleType type)`
  Method sets the type to the Role.

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Role

    public Role()

- ## Method Details

  - ### getId

    public String getId()
    Returns the id of the Role.
    Returns:
      id - String

  - ### setId

    public void setId(String id)
    Method sets the id to the Role.
    Parameters:
      `id` - - String

  - ### getName

    public String getName()
    Returns the name of the Role.
    Returns:
      name - String

  - ### setName

    public void setName(String name)
    Method sets the name to the Role.
    Parameters:
      `name` - - String

  - ### getDescription

    public String getDescription()
    Returns the description of the Role.
    Returns:
      description - String

  - ### setDescription

    public void setDescription(String description)
    Method sets the description to the Role.
    Parameters:
      `description` - - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns AuditHistory object of the Role.
    Returns:
      auditHistory - AuditHistory Object

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the AuditHistory object to the Role object as specified.
    Parameters:
      `auditHistory` - - AuditHistory Object

  - ### getPermissions

    public List<Permission> getPermissions()
    Returns the list of Permission objects of the Role.
    Returns:
      permissions - List

  - ### setPermissions

    public void setPermissions(List<Permission> permissions)
    Method sets the list of permission objects to the Role object as specified.
    Parameters:
      `permissions` - - List

  - ### getBusinessName

    public String getBusinessName()
    Returns the businessName of the Role.
    Returns:
      businessName - String

  - ### setBusinessName

    public void setBusinessName(String businessName)
    Method sets the businessName to the Role.
    Parameters:
      `businessName` - - String

  - ### getType

    public Role.RoleType getType()
    Returns the type of the Role.
    Returns:
      type - RoleType

  - ### setType

    public void setType(Role.RoleType type)
    Method sets the type to the Role.
    Parameters:
      `type` - - RoleType